#pragma once

#include "CoreMinimal.h"
#include "PlayerMutator.h"
#include "Templates/SubclassOf.h"
#include "SpawnEffectOnPlayerMutator.generated.h"

class UStatusEffect;

UCLASS(Blueprintable, EditInlineNew)
class USpawnEffectOnPlayerMutator : public UPlayerMutator
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UStatusEffect> _statusEffectClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _customParam;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _shouldDisplay;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _lifetime;

public:
	USpawnEffectOnPlayerMutator();
};

FORCEINLINE uint32 GetTypeHash(const USpawnEffectOnPlayerMutator) { return 0; }
